@@ -29,8 +29,11 @@ all:
check:
@(cd utils; $(MAKE) check)
@(cd cpufreq; $(MAKE) check)
+ @(cd sched_mc; $(MAKE) check)
+
uncheck:
@(cd cpufreq; $(MAKE) uncheck)
+ @(cd sched_mc; $(MAKE) uncheck)
recheck: uncheck check
@@ -197,6 +197,17 @@ check_cpufreq_files() {
return 0
}
+check_sched_mc_files() {
+
+ local dirpath=$CPU_PATH
+
+ for i in $@; do
+ check "$i exists" "test -f" $dirpath/$i || return 1
+ done
+
+ return 0
+}
+
save_governors() {
governors_backup=
new file mode 100644
@@ -0,0 +1,38 @@
+#
+# PM-QA validation test suite for the power management on ARM
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Daniel Lezcano <daniel.lezcano@linaro.org> (IBM Corporation)
+# - initial API and implementation
+#
+
+TST=$(wildcard *.sh)
+LOG=$(TST:.sh=.log)
+
+check: uncheck $(LOG)
+
+%.log: %.sh
+ @./$< 2> $@
+
+clean:
+ rm -f $(LOG)
+
+uncheck: clean
+
+recheck: uncheck check
new file mode 100644
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on ARM
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Daniel Lezcano <daniel.lezcano@linaro.org> (IBM Corporation)
+# - initial API and implementation
+#
+
+# URL : https://wiki.linaro.org/WorkingGroups/PowerManagement/Doc/QA/Scripts#sched_mc_01
+
+source ../include/functions.sh
+
+FILES="sched_mc_power_savings"
+
+check_sched_mc_files $FILES
Signed-off-by: Daniel Lezcano <daniel.lezcano@linaro.org> --- Makefile | 3 +++ include/functions.sh | 11 +++++++++++ sched_mc/Makefile | 38 ++++++++++++++++++++++++++++++++++++++ sched_mc/test_01.sh | 32 ++++++++++++++++++++++++++++++++ 4 files changed, 84 insertions(+), 0 deletions(-) create mode 100644 sched_mc/Makefile create mode 100644 sched_mc/test_01.sh